Readme for Comitex CCR7 CCID Reader Driver.
==============================================

This library provides a PC/SC IFD handler implementation for the 
Comitex CCR7 CCID readers. This package will enable communications 
through the PC/SC Lite resource manager (pcscd).

To install this driver:
- Open a terminal window and typing "sudo rpm -i <driver-package>.rpm"

Note:
In order for PC/SC to be used, the PC/SC Lite resource manager (pcscd)
should be installed as well. This can be done through a terminal window
and typing "sudo dnf --enablerepo=PowerTools install pcsc-lite" for CentOS
or "sudo dnf install pcsc-lite" for Fedora.

Supported operating systems:
============================

- Fedora 31
- CentOS 8

Note: 
Older releases or additional Red Hat-based OSes should work as well, 
but are un-tested at this time.

Licence:
========

  This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at
your option) any later version.

  This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
along with this library; if not, write to the Free Software Foundation,
Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


History:
========

2.1.4                       25 November 2022
--------------------------------------------

- Merged changes from the latest generic ccid package 1.5.0 from Ludovic Rousseau (https://ccid.apdu.fr/):
    - Add support of simultaneous slot access on multi slots readers
    - Always compute readTimeout to use a value greater than default 3 seconds
    - Check the bSeq value when receiving a CCID frame
    - Avoid logging errors when a reader is removed
    - Some other minor improvements
    - By default hide buffer info in CCID frames

2.1.3                         23 August 2022
--------------------------------------------
- Enabled extended apdu support for CIR315B reader
- Added support for Circle CIR715 reader
- Added support for custom readers

2.1.2                         19 August 2021
--------------------------------------------
- Added support for Comitex CCR7125 reader

2.1.1                           29 June 2021
--------------------------------------------
- Version for AB Circle

2.1.0                           03 June 2021
--------------------------------------------
- Added support for Comitex CCR7315 reader

2.0.9                            10 May 2021
--------------------------------------------
- Version for AB Circle

2.0.8                            07 May 2021
--------------------------------------------
- Version for AB Circle

2.0.7                          15 April 2021
--------------------------------------------
- Improved support for composite devices on macOS Big Sur

2.0.6                          23 March 2021
--------------------------------------------
- Added support for: Comitex CCR7115 reader
- Small change in Info.plist

===================================================
(c) 2019-2022, AB Circle Limited