Readme for Comitex CCR7 CCID Reader Driver
==========================================

This library provides a PC/SC IFD handler implementation for the 
Comitex CCR7 CCID readers. This package will enable communications 
through the PC/SC Lite resource manager (pcscd).

To install this driver, either:
- Open the .deb file using a Software Manager or Package Installer and 
  follow the instructions.
- Open a terminal window and typing "dpkg -i <driver-package>.deb"

Note:
In order for PC/SC to be used, the PC/SC Lite resource manager (pcscd)
should be installed as well. This can be done through a terminal window
and typing "sudo apt install pcscd".

Supported operating systems:
============================

- Linux Debian 10 (buster)
- Linux Debian 9 (stretch)
- Linux Ubuntu 20.04 (Focal Fossa)
- Linux Ubuntu 19.10 (Eoan Ermine)
- Linux Ubuntu 19.04 (Disco Dingo)
- Linux Ubuntu 18.04 (Bionic Beaver)
- Linux Ubuntu 16.04 (Xenial Xerus)
- Linux Ubuntu 14.04 (Trusty Tahr)
- Linux Mint 19.1 (Tessa)

Note: 
Older Debian releases or additional Debian-based OSes should work as well, 
but are un-tested at this time.

Licence:
========

  This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at
your option) any later version.

  This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
along with this library; if not, write to the Free Software Foundation,
Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

History:
========

2.1.4                       25 November 2022
--------------------------------------------

- Merged changes from the latest generic ccid package 1.5.0 from Ludovic Rousseau (https://ccid.apdu.fr/):
    - Add support of simultaneous slot access on multi slots readers
    - Always compute readTimeout to use a value greater than default 3 seconds
    - Check the bSeq value when receiving a CCID frame
    - Avoid logging errors when a reader is removed
    - Some other minor improvements
    - By default hide buffer info in CCID frames

2.1.3                         23 August 2022
--------------------------------------------
- Enabled extended apdu support for CIR315B reader
- Added support for Circle CIR715 reader
- Added support for custom readers

2.1.2                         20 August 2021
--------------------------------------------
- Added support for Comitex CCR7125 reader

2.1.1                            29 Jun 2021
--------------------------------------------
- Version for AB Circle

2.1.0                           03 June 2021
--------------------------------------------
- Added support for Comitex CCR7315 reader

2.0.9                            10 May 2021
--------------------------------------------
- Version for AB Circle

2.0.8                            07 May 2021
--------------------------------------------
- Version for AB Circle

2.0.7                          15 April 2021
--------------------------------------------
- Improved support for composite devices on macOS Big Sur

2.0.6                          23 March 2021
--------------------------------------------
- Added support for: Comitex CCR7115 reader
- Small change in Info.plist

===================================================
(c) 2019-2022, AB Circle Limited